Шаблон:Таблица ролей/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
мНет описания правки
Строка 1: Строка 1:
.таблица-ролей {
.таблица-ролей {
     background: var(--theme-bg-color-150);
     background: var(--theme-bg-color-100);
     border: 1px solid var(--theme-border-color-base);
     border: 1px solid var(--theme-border-color-base);
     padding: 0.4em;
     padding: 0.4em;
Строка 18: Строка 18:
font-weight: bold;
font-weight: bold;
     border-radius: var(--border-radius-low);
     border-radius: var(--border-radius-low);
     border-top: 1px solid rgba(var(--color-lighter--rgb), 0.07);
     border-top: 1px solid var(--color-lighter-alpha-x);
     border-bottom: 2px solid var(--color-darkened-border);
     border-bottom: 2px solid var(--color-darkened-border);
}
}
Строка 25: Строка 25:
.таблица-ролей__sub {
.таблица-ролей__sub {
     display: grid;
     display: grid;
     gap: 8px;
     gap: 6px;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    margin-top: 6px;
}
}


.таблица-ролей__sub-content {
.таблица-ролей__sub-content {
border-top: 1px solid var(--theme-border-color-base);
border-top: 1px solid var(--theme-border-color-base);
}
.таблица-ролей__sub > div {
    padding: 0.2em 0.4em 0.2em;
}
}

Версия от 21:15, 25 июня 2025

.таблица-ролей {
    background: var(--theme-bg-color-100);
    border: 1px solid var(--theme-border-color-base);
    padding: 0.4em;
    border-radius: var(--border-radius-low);
}

.таблица-ролей__content {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-evenly;
	padding: 0.4em;
}

.таблица-ролей__header {
	padding: 0.2em 0.4em 0.2em;
	font-weight: bold;
    border-radius: var(--border-radius-low);
    border-top: 1px solid var(--color-lighter-alpha-x);
    border-bottom: 2px solid var(--color-darkened-border);
}


.таблица-ролей__sub {
    display: grid;
    gap: 6px;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    margin-top: 6px;
}

.таблица-ролей__sub-content {
	border-top: 1px solid var(--theme-border-color-base);
}

.таблица-ролей__sub > div {
    padding: 0.2em 0.4em 0.2em;
}